List recent delivery attempts to this customer's destinations
curl --request GET \
--url https://app.hookie.ai/portal/api/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hookie.ai/portal/api/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/portal/api/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"deliveries": [
{
"id": "d81c…",
"dataset": "orders",
"status": "delivered",
"response_code": 200,
"response_ms": 142,
"attempts": 1,
"created_at": "2026-09-10T09:31:02.104Z"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Customer Portal
List recent delivery attempts to this customer's destinations
GET
/
portal
/
api
/
deliveries
List recent delivery attempts to this customer's destinations
curl --request GET \
--url https://app.hookie.ai/portal/api/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hookie.ai/portal/api/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/portal/api/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"deliveries": [
{
"id": "d81c…",
"dataset": "orders",
"status": "delivered",
"response_code": 200,
"response_ms": 142,
"attempts": 1,
"created_at": "2026-09-10T09:31:02.104Z"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
portalTokenHeaderportalTokenQuery
A hpt_… customer portal token, as Authorization: Bearer. Stored hashed; shown once at issue.
Query Parameters
Portal access token (hpt_…), as an alternative to the Authorization: Bearer header.
Response
Up to 200 deliveries, newest first, joined to destinations owned by this token's portal + customer. There are no query parameters — no filtering, no paging, and no request/response payload bodies are exposed.
Maximum array length:
200Show child attributes
Show child attributes